org.apache.ignite.internal.processors.cache

## Class GridCacheBatchSwapEntry

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheSwapEntryImpl
  - - org.apache.ignite.internal.processors.cache.GridCacheBatchSwapEntry

All Implemented Interfaces:
  GridCacheSwapEntry

    public class GridCacheBatchSwapEntry
    extends GridCacheSwapEntryImpl

Entry for batch swap operations.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheBatchSwapEntry(KeyCacheObject key, int part, ByteBuffer valBytes, byte type, GridCacheVersion ver, long ttl, long expireTime, IgniteUuid keyClsLdrId, IgniteUuid valClsLdrId)` Creates batch swap entry.

### Method Summary

Methods
`KeyCacheObject` `key()`
`int` `partition()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheSwapEntryImpl

`expireTime, expireTime, getValue, keyClassLoaderId, marshal, offheapPointer, timeToLive, toString, ttl, type, unmarshal, value, value, valueBytes, valueBytes, valueClassLoaderId, valueOffset, version, version`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheBatchSwapEntry

    public GridCacheBatchSwapEntry(KeyCacheObject key,
                           int part,
                           ByteBuffer valBytes,
                           byte type,
                           GridCacheVersion ver,
                           long ttl,
                           long expireTime,
                           IgniteUuid keyClsLdrId,
                           @Nullable
                           IgniteUuid valClsLdrId)

Creates batch swap entry.

Parameters:
  `key` - Key.
  `part` - Partition id.
  `valBytes` - Value bytes.
  `type` - Value type.
  `ver` - Version.
  `ttl` - Time to live.
  `expireTime` - Expire time.
  `keyClsLdrId` - Key class loader ID.
  `valClsLdrId` - Optional value class loader ID.

### Method Detail

#### key

    public KeyCacheObject key()

Returns:
  Key.

#### partition

    public int partition()

Returns:
  Partition id.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015